When will you support Spring-Security 3.05?

Sep 20, 2011 at 9:22 PM

Hi,

Just wondering when will you support Spring-Security 3.05?  I am required by my company to use that version or later, but I'm seeing that Waffle is using an interface that is not in Spring-Security 3.05: 

Coordinator
Sep 20, 2011 at 10:05 PM

Nobody is working on this. Feel free to submit a patch.

Jun 19, 2012 at 4:38 PM

I started to look at waffle just a few days ago. I need to integrate it with spring security 3. Provided I get a little advice, I'd try my hand at it.

It kind of burns (I should have it ready by Friday), so unless I manage to prepare a patch really fast, I'll need to use the code to implement my own solution, unfortunately.

Coordinator
Jun 20, 2012 at 12:21 AM

Note that we've moved to Github, you can make pull requests there - https://github.com/dblock/waffle

Jun 24, 2012 at 7:34 PM

I forked the repository and added a download with spring update to 3.1.1.  Source code is included in the download for waffle-jna.  I switched commons logging to slf4j / logback and added sample logback.xml files in all sample locations.  I do not use spring so if testing could be done to verify this is good, that would be great.  As far as setting up sample tests, jars should be localized to project with exception for jna / platform as those should be at container level.  That is the easiest anyway especially with the logger changes I made.  As well, I updated to guava 12.  All code shown as deprecated in guava / spring were updated as well.  Sample test using waffle-filter seemed to work without issue.  I was unable to update JNA from 3.3.0 to 3.4.0/3.4.1 for same reason others have mentioned.

I'm still newbie to github so I'm sure I'm not doing things properly.  So if this is incorrect, feel free to let me know :)

https://github.com/hazendaz/waffle